version: '3.8'

services:
  poke_web_v5:
    build: .
    container_name: poke_app_v5
    environment:
      - REDIS_HOST=poke_redis_v5
    depends_on:
      - poke_redis_v5
    restart: always

  poke_redis_v5:
    image: "redis:alpine"
    container_name: poke_redis_v5
    restart: always

  poke_proxy_v5:
    image: nginx:alpine
    container_name: poke_proxy_v5
    ports:
      - "8081:80"
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    depends_on:
      - poke_web_v5
    restart: always